# Update companyInformation
Update the properties of a company information object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
PATCH businesscentralPrefix/companies({id})/companyInformation({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
If-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the companyInformation, the companyInformation won't be updated.
## Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
## Response
If successful, this method returns a ```200 OK``` response code and an updated an companyInformation object in the response body.
## Example
Request
Here's an example of the request.
```json
PATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/companyInformation({id})
Content-type: application/json

{
  "displayName": "CRONUS USA, Inc.",
  "website": "www.cronuscorp.net"
}
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
HTTP/1.1 200 OK
Content-type: application/json

{
    "id": "86f5f171-44e3-ea11-bb43-000d3a2feca1",
    "displayName": "CRONUS USA, Inc.",
    "addressLine1": "7122 South Ashford Street",
    "addressLine2": "Westminster",
    "city": "Atlanta",
    "state": "GA",
    "country": "US",
    "postalCode": "31772",
    "phoneNumber": "+1 425 555 0100",
    "faxNumber": "+1 425 555 0101",
    "email": "",
    "website": "www.cronuscorp.net",
    "taxRegistrationNumber": "",
    "currencyCode": "USD",
    "currentFiscalYearStartDate": "2021-01-01",
    "industry": "",
    "picture@odata.mediaReadLink": "https://api.businesscentral.dynamics-tie.com/v2.0/5b2f3b37-2b52-460e-8863-3561295b1e08/Production/api/v2.0/companies(4d0e744d-44e3-ea11-bb43-000d3a2feca1)/companyInformation(86f5f171-44e3-ea11-bb43-000d3a2feca1)/picture",
    "lastModifiedDateTime": "2020-08-21T00:24:33.793Z"
  }
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_companyinformation
dynamics_companyinformation_get

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_companyinformation_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_companyinformation_update/
